Last Comment Bug 778851 - Turn javascript.options.xml.content off by default
: Turn javascript.options.xml.content off by default
Status: RESOLVED FIXED
: addon-compat, dev-doc-complete, sec-want
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Other Branch
: All All
: -- normal with 1 vote (vote)
: mozilla17
Assigned To: Jason Orendorff [:jorendorff]
: general
Mentors:
Depends on: 765890 788237 814633
Blocks: 788293
  Show dependency treegraph
 
Reported: 2012-07-30 12:22 PDT by Jason Orendorff [:jorendorff]
Modified: 2012-12-05 14:02 PST (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
v1 (1.06 KB, patch)
2012-07-30 12:30 PDT, Jason Orendorff [:jorendorff]
no flags Details | Diff | Splinter Review
v2 (1.49 KB, patch)
2012-08-25 20:18 PDT, Jason Orendorff [:jorendorff]
jwalden+bmo: review+
Details | Diff | Splinter Review

Description Jason Orendorff [:jorendorff] 2012-07-30 12:22:13 PDT
Finish disabling E4X for web content.
Comment 1 Jason Orendorff [:jorendorff] 2012-07-30 12:30:14 PDT
Created attachment 647250 [details] [diff] [review]
v1

Running against Try Server now.
Comment 2 Jorge Villalobos [:jorgev] 2012-07-30 15:15:50 PDT
Adding add-on compat and dev-doc flags so that we document this when it lands.
Comment 3 David Mandelin [:dmandelin] 2012-08-08 16:36:59 PDT
How'd the try server run go?
Comment 4 Jason Orendorff [:jorendorff] 2012-08-16 16:15:36 PDT
Sorry I didn't respond to this at the time! I thought I had. The Try Server results were lost when (at some point) the whole Try Server system had to be restarted (around the time of comment 1, there were some Try Server Troubles).

I just pushed to try again, not noticing that we're perma-orange on Mac right now--but the results on the other platforms will still be useful:
https://tbpl.mozilla.org/?tree=Try&rev=9653a0823eb5
Comment 5 Jason Orendorff [:jorendorff] 2012-08-25 20:18:52 PDT
Created attachment 655395 [details] [diff] [review]
v2

Ah, there was a new test that mentioned XML. Easily patched.
Comment 6 Jeff Walden [:Waldo] (remove +bmo to email) 2012-08-25 20:28:35 PDT
Comment on attachment 655395 [details] [diff] [review]
v2

You had me at +pref("javascript.options.xml.content", false);.
Comment 7 Ryan VanderMeulen [:RyanVM] 2012-08-26 13:05:32 PDT
https://hg.mozilla.org/mozilla-central/rev/6564c3183a04
Comment 8 David Mandelin [:dmandelin] 2012-08-28 16:41:25 PDT
Yay!
Comment 9 Tom Schuster [:evilpie] 2012-12-05 14:02:38 PST
Was already mentioned at
https://developer.mozilla.org/en-US/docs/Firefox_17_for_developers
Made the message in https://developer.mozilla.org/en-US/docs/E4X a little bit more clear.

Note You need to log in before you can comment on or make changes to this bug.